#!/bin/bash

set -e
set -o pipefail
chkconfig  --level 35 crond on
echo 'export JAVA_HOME=/usr/java/jdk1.6.0_21' >> /etc/profile
echo 'export PATH=$JAVA_HOME/bin:$JAVA_HOME/jre/bin:$PATH' >> /etc/profile
echo 'export CLASSPATH=$CLASSPATH:$JAVA_HOME/lib:$JAVA_HOME/jre/lib' >> /etc/profile
/sbin/service crond restart
/sbin/service rsyslog start
source /etc/profile
ln -s /usr/java/jdk1.6.0_21/bin/* /usr/bin/
mkdir -p /var/spool/cron/root
cd /var/spool/cron && chmod -R 600 root
mkdir -p /data/wapage/log/misc
chown wapage:wapage -R /data/wapage /app/wapage
chmod 755 /app/wapage/miscSearch/start.sh


exec "$@"